# Kvadratické formy
## Kvadratická forma
- **A** => reálná symetrická matice řádu n
- kvadratická forma určená maticí **A** je zobrazení $\kappa (x) = x^{T}Ax$
- nechť **A** je reálná symetrická matice =>
    - 1) všechna vlastní čísla matice **A** jsou reálná
    - 2) ke každému vlastnímu číslu existuje reálný vlastní vektor
    - 3) vlastní vektory příslušející různým vlastním číslům jsou ortogonální
- reálná symetrická matice **A** řádu n má n ortogonálních reálných vlastních vektorů

### Zákon setrvačnosti kvadratických forem
- je-li kvadratická forma vyjádřena dvěma způsoby jako lineární kombinace čtverců souřadnic vzhledem ke dvěma bázím => v obou vyjádřeních je **stejný počet kladných, záporných i nulových koeficientů**

### Inercie kvadratické formy
- Nechť $\kappa (x) = x^{T}Ax$ je kvadratická forma, **A** reálná symetrická matice
    - k - počet kladných čísel **A**
    - z - počet záporných čísel **A**
    - d - počet nulových čísel **A**
- trojici čísel **(k, z, d)** nazýváme **inercií kvadratické formy**
- značíme in( $\kappa $ ) = (k, z, d)

#### Druhy inercií
- **pozitivně definitní** => in( $\kappa$ ) = (k, 0, 0)
- **negativně definitní** => in( $\kappa$ ) = (0, z, 0)
- **pozitivně semidefinitní** => in( $\kappa$ ) = (k, 0, d), d > 0
- **negativně semidefinitní** => in( $\kappa$ ) = (0, z, d), d > 0
- **indefinitní** => in( $\kappa$ ) = (k, z, d)
    - k > 0, z > 0

### Hlavní minory
- Nechť A = [ $a_{ij}$ ] reálná symetrická matice řádu n a $A_k$ je její podmatice obsahující prvky $a_{11}, a_{12}, ..., a_{kk}$ => číslo det($A_k$) nazveme **hlavním minorem matice** A **řádu** k a značí se $\Delta _{k}$

### Definitnost kvadratické formy (Sylvestorovo kriterium)
- Nechť **A** reálná symetrická matice řádu n s hlavními minory $\Delta _{1}, \Delta _{2}, ... , \Delta _{n} \neq 0$
- Kvadratická forma $\kappa (x) = x^{T}Ax$ je **pozitivně definitní** => $\Delta _{i} > 0$ pro každé i z {1, 2, ..., n}
- Kvadratická forma $\kappa (x) = x^{T}Ax$ je **negativně definitní** => $\Delta _{i} > 0$ pro každé i z {1, 2, ..., n} sudé a $\Delta _{i} < 0$ pro každé i z {1, 2, ..., n} liché